Xfce Forum

Sub domains
 

You are not logged in.

#1 2021-07-11 03:21:03

W_V31
Member
Registered: 2021-07-11
Posts: 1

trying to install battery plugin [SOLVED]

Hello, I wanted to try out the xfce desktop, but I noticed it doesn't have a battery icon. So, I went and followed the steps to install it here: https://gitlab.xfce.org/panel-plugins/x … ery-plugin but when I tried to run the ./configure command (from the tarball release) it gave me a message that said,

"The required package libxfce4util-1.0 was not found on your system.
*** Please install libxfce4util-1.0 (atleast version 4.8.0) or adjust
*** the PKG_CONFIG_PATH environment variable if you
*** installed the package in a nonstandard prefix so that
*** pkg-config is able to find it."

so I ran a sudo apt-get install libxfce4util-1.0 and it said I already have it and that it's in the newest version

I also double checked in the Synaptic Package Manager: and it says gir1.2-libxfce4util-1.0 is installed and it's version 4.16.01~20.04

Is there a reason this ./configure command isn't working. My distro is linux mint, with xfce4 version 4.16

Also to note, it said my compiler was unable to make executables when I ran ./configure, but I solved that and am now on this problem

Any feedback will be greatly appreciated, thank you

Edit: thank you, sudo apt-get install xfce4-power-manager worked for those who are looking for a solution (thank you, moderator)

Last edited by W_V31 (2021-07-11 10:36:22)

Offline

#2 2021-07-11 09:23:26

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 7,860

Re: trying to install battery plugin [SOLVED]

Hello and welcome.

xfce4-power-manager has a battery tray icon that is the usual choice for this functionality. If installed, you can add the "Power Manager" plugin to the panel.

To build the battery plugin, you need to install the "-dev" version of those packages. Look for libxfce4util-1.0-dev.

Offline

Board footer

Powered by FluxBB